org.eclipse.actf.visualization.engines.blind.eval

## Class PageEvaluation

- java.lang.Object
- - org.eclipse.actf.visualization.engines.blind.eval.PageEvaluation

    public class PageEvaluation
    extends Object

Utility class to create evaluation summary of target page

### Constructor Summary

Constructors
Constructor and Description
`PageEvaluation(List<IProblemItem> problems, PageData pageData)` Constructor of the class

### Method Summary

Methods
`String[]` `getAllResult()` Get evaluation result as array of String.
`static HighlightStringListener` `getHighLightStringListener()` Get default `HighlightStringListener` for blind usability visualization result
`String[]` `getLocalizedMetrics()` Get evaluation metrics used to evaluate this page
`String[]` `getMetrics()` Get evaluation metrics used to evaluate this page
`String` `getOverallRating()` Get overall rating for the page
`PageData` `getPageData()` Get `PageData` used for this evaluation
`String` `getRatingIcon()` Get rating icon name for the page
`int[]` `getScores()` Get scores for each metrics
`String` `getSummary()` Get evaluation summary of the page

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageEvaluation

    public PageEvaluation(List<IProblemItem> problems,
                  PageData pageData)

Constructor of the class

Parameters:
  `problems` - accessibility issues of target page
  `pageData` - statistics data of target page

### Method Detail

#### getHighLightStringListener

    public static HighlightStringListener getHighLightStringListener()

Get default `HighlightStringListener` for blind usability visualization result

Returns:
  `HighlightStringListener`

#### getAllResult

    public String[] getAllResult()

Get evaluation result as array of String.

Returns:
  evaluation result

#### getOverallRating

    public String getOverallRating()

Get overall rating for the page

Returns:
  overall rating

#### getSummary

    public String getSummary()

Get evaluation summary of the page

Returns:
  evaluation summary

#### getRatingIcon

    public String getRatingIcon()

Get rating icon name for the page

Returns:
  rating icon name

#### getMetrics

    public String[] getMetrics()

Get evaluation metrics used to evaluate this page

Returns:
  metrics names

#### getLocalizedMetrics

    public String[] getLocalizedMetrics()

Get evaluation metrics used to evaluate this page

Returns:
  metrics names (localized)

#### getScores

    public int[] getScores()

Get scores for each metrics

Returns:
  scores

#### getPageData

    public PageData getPageData()

Get `PageData` used for this evaluation

Returns:
  `PageData`